Bug 394891 - gtkterm crasches when tyring to send hexdecimal data
gtkterm crasches when tyring to send hexdecimal data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtkterm (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 15:25 EST by Olof Tångrot
Modified: 2007-12-06 15:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.99.5-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 06:42:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olof Tångrot 2007-11-21 15:25:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

Description of problem:
This bug is also present on FC7 although the appeded dump is from a FC6 machine.

gtkterm has a menu option to send hex data on the serial bus.
When chosen, a text entry field appears in the bottom of the screen.

After entering a digit followed by enter gtkterm terminates.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Connect to a serial device like /dev/ttyUBB0, set baudrate and so on
2. Verify data can be receiverd
3. Choose the menu View::Sen hexadecimal data
4. Enter a digit in the text input filed shown in the bottom of the window
5. Press Enter

Actual Results:
[root@pc7 ~]# gtkterm &
[2] 2329
[root@pc7 ~]# *** buffer overflow detected ***: gtkterm terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x58b391]
/lib/libc.so.6[0x58aba8]
/lib/libc.so.6(_IO_default_xsputn+0xcd)[0x50c1bd]
/lib/libc.so.6(_IO_vfprintf+0x912)[0x4e4fb2]
/lib/libc.so.6(__vsprintf_chk+0xad)[0x58ac5d]
/lib/libc.so.6(__sprintf_chk+0x30)[0x58ab90]
gtkterm[0x8053a36]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0xafa0f9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x12b)[0xaecd9b]
/lib/libgobject-2.0.so.0[0xafd433]
/lib/libgobject-2.0.so.0(g_signal_emitv+0x198)[0xafecb8]
/usr/lib/libgtk-x11-2.0.so.0[0x6a7d0db]
/usr/lib/libgtk-x11-2.0.so.0[0x6a7d488]
/usr/lib/libgtk-x11-2.0.so.0[0x6a7d65b]
/usr/lib/libgtk-x11-2.0.so.0(gtk_bindings_activate_event+0xd9)[0x6a7d779]
/usr/lib/libgtk-x11-2.0.so.0[0x6c726c8]
/usr/lib/libgtk-x11-2.0.so.0[0x6ad6d09]
/usr/lib/libgtk-x11-2.0.so.0[0x6b52650]
/lib/libgobject-2.0.so.0[0xaeb589]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20d)[0xaece7d]
/lib/libgobject-2.0.so.0[0xafda83]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0xafe71f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xafeb19]
/usr/lib/libgtk-x11-2.0.so.0[0x6c67408]
/usr/lib/libgtk-x11-2.0.so.0(gtk_window_propagate_key_event+0x107)[0x6c774c7]
/usr/lib/libgtk-x11-2.0.so.0[0x6c7a53c]
/usr/lib/libgtk-x11-2.0.so.0[0x6b52650]
/lib/libgobject-2.0.so.0[0xaeb589]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x12b)[0xaecd9b]
/lib/libgobject-2.0.so.0[0xafda83]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0xafe71f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xafeb19]
/usr/lib/libgtk-x11-2.0.so.0[0x6c67408]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ba)[0x6b4ba4a]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x317)[0x6b4cc17]
/usr/lib/libgdk-x11-2.0.so.0[0x1ec47a]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x182)[0x9b8442]
/lib/libglib-2.0.so.0[0x9bb41f]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x9bb7c9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x6b4d094]
gtkterm[0x805235a]
/lib/libc.so.6(__libc_start_main+0xdc)[0x4bedec]
gtkterm[0x804c621]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-0011a000 r-xp 00000000 fd:00 1885749    /lib/libnss_files-2.5.so
0011a000-0011b000 r-xp 00008000 fd:00 1885749    /lib/libnss_files-2.5.so
0011b000-0011c000 rwxp 00009000 fd:00 1885749    /lib/libnss_files-2.5.so
0011c000-0011d000 r-xp 00000000 fd:00 32953      /usr/lib/gconv/ISO8859-1.so
0011d000-0011f000 rwxp 00000000 fd:00 32953      /usr/lib/gconv/ISO8859-1.so
0011f000-00130000 r-xp 00000000 fd:00 228108     /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00130000-00131000 rwxp 00011000 fd:00 228108     /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00131000-00133000 r-xp 00000000 fd:00 196460     /usr/lib/pango/1.5.0/modules/pango-basic-fc.so
00133000-00134000 rwxp 00001000 fd:00 196460     /usr/lib/pango/1.5.0/modules/pango-basic-fc.so
0013d000-001a7000 r-xp 00000000 fd:00 1857869    /usr/lib/libcairo.so.2.9.3
001a7000-001a9000 rwxp 00069000 fd:00 1857869    /usr/lib/libcairo.so.2.9.3
001ab000-00235000 r-xp 00000000 fd:00 1866743    /usr/lib/libgdk-x11-2.0.so.0.1000.13
00235000-00238000 rwxp 0008a000 fd:00 1866743    /usr/lib/libgdk-x11-2.0.so.0.1000.13
00445000-0045f000 r-xp 00000000 fd:00 1868395    /usr/lib/libatk-1.0.so.0.1212.0
0045f000-00461000 rwxp 0001a000 fd:00 1868395    /usr/lib/libatk-1.0.so.0.1212.0
00463000-00479000 r-xp 00000000 fd:00 1866450    /usr/lib/libgdk_pixbuf-2.0.so.0.1000.13
00479000-0047a000 rwxp 00016000 fd:00 1866450    /usr/lib/libgdk_pixbuf-2.0.so.0.1000.13
0048c000-004a5000 r-xp 00000000 fd:00 1885768    /lib/ld-2.5.so
004a5000-004a6000 r-xp 00019000 fd:00 1885768    /lib/ld-2.5.so
004a6000-004a7000 rwxp 0001a000 fd:00 1885768    /lib/ld-2.5.so
004a9000-005e3000 r-xp 00000000 fd:00 1885769    /lib/libc-2.5.so
005e3000-005e5000 r-xp 0013a000 fd:00 1885769    /lib/libc-2.5.so
005e5000-005e6000 rwxp 0013c000 fd:00 1885769    /lib/libc-2.5.so
005e6000-005e9000 rwxp 005e6000 00:00 0
005eb000-005ed000 r-xp 00000000 fd:00 1885775    /lib/libdl-2.5.so
005ed000-005ee000 r-xp 00001000 fd:00 1885775    /lib/libdl-2.5.so
005ee000-005ef000 rwxp 00002000 fd:00 1885775    /lib/libdl-2.5.so
005f1000-00616000 r-xp 00000000 fd:00 1885778    /lib/libm-2.5.so
00616000-00617000 r-xp 00024000 fd:00 1885778    /lib/libm-2.5.so
00617000-00618000 rwxp 00025000 fd:00 1885778    /lib/libm-2.5.so
00633000-00645000 r-xp 00000000 fd:00 1869377    /usr/lib/libz.so.1.2.3
00645000-00646000 rwxp 00011000 fd:00 1869377    /usr/lib/libz.so.1.2.3
00648000-00746000 r-xp 00000000 fd:00 1858564    /usr/lib/libX11.so.6.2.0
00746000-0074a000 rwxp 000fe000 fd:00 1858564    /usr/lib/libX11.so.6.2.0
0074c000-00751000 r-xp 00000000 fd:00 1857577    /usr/lib/libXdmcp.so.6.0.0
00751000-00752000 rwxp 00004000 fd:00 1857577    /usr/lib/libXdmcp.so.6.0.0
00754000-00756000 r-xp 00000000 fd:00 1859262    /usr/lib/libXau.so.6.0.0
00756000-00757000 rwxp 00001000 fd:00 1859262    /usr/lib/libXau.so.6.0.0
00759000-00778000 r-xp 00000000 fd:00 1885786    /lib/libexpat.so.0.5.0
00778000-0077a000 rwxp 0001e000 fd:00 1885786    /lib/libexpat.so.0.5.0
0077c000-0078b000 r-xp 00000000 fd:00 1869381    /usr/lib/libXext.so.6.4.0
0078b000-0078c000 rwxp 0000e000 fd:00 1869381    /usr/lib/libXext.so.6.4.0
0078e000-00799000 r-xp 00000000 fd:00 1885783    /lib/libgcc_s-4.1.2-20070626.so.1
00799000-0079a000 rwxp 0000a000 fd:00 1885783    /lib/libgcc_s-4.1.2-20070626.so.1
0079c000-00819000 r-xp 00000000 fd:00 1860088    /usr/lib/libfreetype.so.6.3.10
00819000-0081c000 rwxp 0007d000 fd:00 1860088    /usr/lib/libfreetype.so.6.3.10
0081e000-008d1000 r-xp 00000000 fd:00 1871147    /usr/lib/libvte.so.9.1.7
008d1000-008d4000 rwxp 000b3000 fd:00 1871147    /usr/lib/libvte.so.9.1.7
0090b000-00930000 r-xp 00000000 fd:00 1859202    /usr/lib/libpng12.so.0.10.0
00930000-00931000 rwxp 00024000 fd:00 1859202    /usr/lib/libpng12.so.0.10.0
00933000-0095a000 r-xp 00000000 fd:00 1869382    /usr/lib/libfontconfig.so.1.1.0
0095a000-00962000 rwxp 00027000 fd:00 1869382    /usr/lib/libfontconfig.so.1.1.0
00964000-0096c000 r-xp 00000000 fd:00 1858790    /usr/lib/libXrender.so.1.3.0
0096c000-0096d000 rwxp 00007000 fd:00 1858790    /usr/lib/libXrender.so.1.3.0
0096f000-00973000 r-xp 00000000 fd:00 1859591    /usr/lib/libXfixes.so.3.1.0
00973000-00974000 rwxp 00003000 fd:00 1859591    /usr/lib/libXfixes.so.3.1.0
00976000-0097f000 r-xp 00000000 fd:00 1865378    /usr/lib/libXcursor.so.1.0.2
0097f000-00980000 rwxp 00008000 fd:00 1865378    /usr/lib/libXcursor.so.1.0.2
00982000-00985000 r-xp 00000000 fd:00 1865377    /usr/lib/libXrandr.so.2.0.0
00985000-00986000 rwxp 00002000 fd:00 1865377    /usr/lib/libXrandr.so.2.0.0
00988000-0098a000 r-xp 00000000 fd:00 1865381    /usr/lib/libXinerama.so.1.0.0
0098a000-0098b000 rwxp 00001000 fd:00 1865381    /usr/lib/libXinerama.so.1.0.0
0098d000-00a2a000 r-xp 00000000 fd:00 1885772    /lib/libglib-2.0.so.0.1200.9
00a2a000-00a2b000 rwxp 0009d000 fd:00 1885772    /lib/libglib-2.0.so.0.1200.9
00a2d000-00a35000 r-xp 00000000 fd:00 1856380    /usr/lib/libSM.so.6.0.0
00a35000-00a36000 rwxp 00007000 fd:00 1856380    /usr/lib/libSM.so.6.0.0
00a38000-00a4f000 r-xp 00000000 fd:00 1859319    /usr/lib/libICE.so.6.3.0
00a4f000-00a50000 rwxp 00016000 fd:00 1859319    /usr/lib/libICE.so.6.3.0
00a50000-00a52000 rwxp 00a50000 00:00 0
00ae4000-00b22000 r-xp 00000000 fd:00 1885773    /lib/libgobject-2.0.so.0.1200.9
00b22000-00b23000 rwxp 0003e000 fd:00 1885773    /lib/libgobject-2.0.so.0.1200.9
00b58000-00b5a000 r-xp 00000000 fd:00 1885785    /lib/libgmodule-2.0.so.0.1200.9
00b5a000-00b5b000 rwxp 00002000 fd:00 1885785    /lib/libgmodule-2.0.so.0.1200.9
00ce3000-00d10000 r-xp 00000000 fd:00 1859312    /usr/lib/libpangoft2-1.0.so.0.1400.10
00d10000-00d11000 rwxp 0002c000 fd:00 1859312    /usr/lib/libpangoft2-1.0.so.0.1400.10
00d34000-00d3c000 r-xp 00000000 fd:00 1857232    /usr/lib/libpangocairo-1.0.so.0.1400.10
00d3c000-00d3d000 rwxp 00007000 fd:00 1857232    /usr/lib/libpangocairo-1.0.so.0.1400.10
00d3f000-00d7c000 r-xp 00000000 fd:00 1859157    /usr/lib/libpango-1.0.so.0.1400.10
00d7c000-00d7e000 rwxp 0003c000 fd:00 1859157    /usr/lib/libpango-1.0.so.0.1400.10
00d80000-00d8a000 r-xp 00000000 fd:00 1871189    /usr/lib/libpangox-1.0.so.0.1400.10
00d8a000-00d8b000 rwxp 0000a000 fd:00 1871189    /usr/lib/libpangox-1.0.so.0.1400.10
00d8d000-00d93000 r-xp 00000000 fd:00 1872589    /usr/lib/libpangoxft-1.0.so.0.1400.10
00d93000-00d94000 rwxp 00005000 fd:00 1872589    /usr/lib/libpangoxft-1.0.so.0.1400.10
00deb000-00df2000 r-xp 00000000 fd:00 1864325    /usr/lib/libXi.so.6.0.0
00df2000-00df3000 rwxp 00006000 fd:00 1864325    /usr/lib/libXi.so.6.0.0
06a1f000-06db6000 r-xp 00000000 fd:00 1864028    /usr/lib/libgtk-x11-2.0.so.0.1000.13
06db6000-06dbc000 rwxp 00396000 fd:00 1864028    /usr/lib/libgtk-x11-2.0.so.0.1000.13
06dbc000-06dbd000 rwxp 06dbc000 00:00 0
07d33000-07d45000 r-xp 00000000 fd:00 1857181    /usr/lib/libXft.so.2.1.2
07d45000-07d46000 rwxp 00012000 fd:00 1857181    /usr/lib/libXft.so.2.1.2
07e34000-07e74000 r-xp 00000000 fd:00 1859232    /usr/lib/libncurses.so.5.5
07e74000-07e7c000 rwxp 00040000 fd:00 1859232    /usr/lib/libncurses.so.5.5
07e7c000-07e7d000 rwxp 07e7c000 00:00 0
08048000-0805c000 r-xp 00000000 fd:00 1871136    /usr/bin/gtkterm
0805c000-0805e000 rw-p 00013000 fd:00 1871136    /usr/bin/gtkterm
0805e000-08061000 rw-p 0805e000 00:00 0
08804000-08c31000 rw-p 08804000 00:00 0
b49e6000-b4a86000 r--p 00000000 fd:00 328719     /usr/share/fonts/bitmap-fonts/10x20.pcf
b4ba8000-b4be1000 r--p 00000000 fd:00 553099     /usr/share/fonts/dejavu-lgc/DejaVuLGCSansMono-Bold.ttf
b4be1000-b4e4b000 r--p 00000000 fd:00 134608     /usr/share/icons/hicolor/icon-theme.cache
b4e4b000-b669b000 r--p 00000000 fd:00 624572     /usr/share/icons/crystalsvg/icon-theme.cache
b669b000-b6c8d000 r--p 00000000 fd:00 233211     /usr/share/icons/gnome/icon-theme.cache
b6c8d000-b79fb000 r--p 00000000 fd:00 134082     /usr/share/icons/Bluecurve/icon-theme.cache
b79fb000-b7a09000 r--p 00000000 fd:00 392920     /usr/share/icons/Clearlooks/icon-theme.cache
b7a09000-b7a76000 r--p 00000000 fd:00 553094     /usr/share/fonts/dejavu-lgc/DejaVuLGCSans.ttf
b7aac000-b7b16000 r--p 00000000 fd:00 553091     /usr/share/fonts/dejavu-lgc/DejaVuLGCSans-BoldOblique.ttf
b7b69000-b7be3000 r--p 00000000 fd:00 328725     /usr/share/fonts/bitmap-fonts/6x13.pcf
b7c79000-b7cb3000 r--p 00000000 fd:00 553102     /usr/share/fonts/dejavu-lgc/DejaVuLGCSansMono.ttf
b7cb3000-b7cd5000 r--p 00000000 fd:00 424228     /usr/share/fonts/default/Type1/n022003l.pfb
b7d05000-b7d07000 r--s 00000000 fd:00 196334     /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86.cache-2
b7d07000-b7d0d000 r--s 00000000 fd:00 196430     /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-x86.cache-2
b7d0d000-b7d13000 r--s 00000000 fd:00 196443     /var/cache/fontconfig/7ddba6133ef499da58de5e8c586d3b75-x86.cache-2
b7d13000-b7d15000 r--s 00000000 fd:00 196434     /var/cache/fontconfig/e3ead4b767b8819993a6fa3ae306afa9-x86.cache-2
b7d15000-b7d1d000 r--s 00000000 fd:00 196435     /var/cache/fontconfig/e19de935dec46bbf3ed114ee4965548a-x86.cache-2
b7d1d000-b7d22000 r--s 00000000 fd:00 196449     /var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86.cache-2
b7d22000-b7d43000 rw-p b7d22000 00:00 0
b7d43000-b7f43000 r--p 00000000 fd:00 1871414    /usr/lib/locale/locale-archive
b7f43000-b7f4c000 rw-p b7f43000 00:00 0
b7f57000-b7f5e000 r--s 00000000 fd:00 33014      /usr/lib/gconv/gconv-modules.cache
bfc13000-bfc28000 rw-p bfc13000 00:00 0          [stack]
[root@pc7 ~]#


Expected Results:


Additional info:
Comment 1 Dan Horák 2007-11-21 16:21:43 EST
In F8 is the situation the same. Problematic function is Send_Hexadecimal() from
widgets.c, I am working on a patch.
Comment 2 Hans de Goede 2007-11-21 16:24:57 EST
Cool, and thanks for the update, I was just about to start debugging this
myself, but I'll let you do the honors then, let met know if you need help.
Comment 3 Hans de Goede 2007-11-22 08:11:52 EST
Danny,

I just saw the fixed version in rawhide, thanks. Have you also pushed the F-7
and F-8 builds to updates(-testing) through bodhi?
Comment 4 Dan Horák 2007-11-22 10:34:36 EST
Yes, F-7 and F-8 version were pushed through bodhi and also FC-6 version was built.
Comment 5 Fedora Update System 2007-11-26 13:55:32 EST
gtkterm-0.99.5-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtkterm'
Comment 6 Fedora Update System 2007-11-26 13:58:24 EST
gtkterm-0.99.5-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtkterm'
Comment 7 Fedora Update System 2007-12-03 06:42:13 EST
gtkterm-0.99.5-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-12-03 06:46:33 EST
gtkterm-0.99.5-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Olof Tångrot 2007-12-06 15:10:35 EST
Confirmede to work on Fedora 8 and Fedora Core 6

Note You need to log in before you can comment on or make changes to this bug.